#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xfa11a9bd, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x2a04cad3, __VMLINUX_SYMBOL_STR(pci_dev_get) },
	{ 0x9990aba8, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x1916e38c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0xf577f82e, __VMLINUX_SYMBOL_STR(pci_bus_write_config_dword) },
	{ 0xef3bea40, __VMLINUX_SYMBOL_STR(pci_bus_read_config_dword) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
	{ 0x1756d4a7, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0x680ec266, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x3343a13b, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0xca9e76c6, __VMLINUX_SYMBOL_STR(pci_dev_put) },
	{ 0xa9754fbd, __VMLINUX_SYMBOL_STR(pci_enable_device) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("pci:v00008086d00000F00sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00002280sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000958sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001170sv*sd*bc*sc*i*");
